---
title: "e"
excerpt: "Return the value of Euler’s number `e`."
layout: manual
---

Return the value of Euler’s number `e`.



```js
e() -> number
```

### Tags

* `math`

### Examples

```js
const exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle: 30, length: 2 * e() ^ 2 }, %)
  |> yLineTo(0, %)
  |> close(%)

const example = extrude(10, exampleSketch)
```

![Rendered example of e 0](data:image/png;base64,[encoded data, 162132 characters])

### Arguments


### Returns

`number`



